## libdigidoc 2.7.0

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.6 )
project( libdigidoc )

# Custom cmake modules
set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )

include( InstallSettings )

if( WIN32 )
    set( DIGIDOC_CONF_NAME "digidoc.ini" )
    set( PKCS11_MODULE "opensc-pkcs11.dll" )
elseif( APPLE )
    set( DIGIDOC_CONF_NAME "digidoc.conf" )
    set( PKCS11_MODULE "/Library/OpenSC/lib/opensc-pkcs11.so" )
else()
    set( DIGIDOC_CONF_NAME "digidoc.conf" )
    set( PKCS11_MODULE "opensc-pkcs11.so" )
endif()

set( DIGIDOC_DATA_DIR "${SHARE_INSTALL_PREFIX}/libdigidoc")
set( DIGIDOC_INCLUDE_DIR "${INCLUDE_INSTALL_DIR}/libdigidoc" )
set( DIGIDOC_VERSION "2.7.0" )

find_package( LibXml2 REQUIRED )
find_package( OpenSSL REQUIRED )
find_package( OpenSSLCrypto REQUIRED )
find_package( ZLIB REQUIRED )
find_package( Iconv REQUIRED )
if(UNIX)
    find_package( LibDL )
endif(UNIX)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/libdigidoc.pc.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/libdigidoc.pc
    @ONLY
)
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/libdigidoc.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig )

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${ICONV_INCLUDE_DIR}
    ${LIBDL_INCLUDE_DIR}
    ${LIBXML2_INCLUDE_DIR}
    ${OPENSSLCRYPTO_INCLUDE_DIR}
    ${OPENSSL_INCLUDE_DIR}
    ${ZLIB_INCLUDE_DIR}
)

if( APPLE )
    include_directories( /Library/OpenSC/include )
    include_directories( /usr/local/include/../include )
endif( APPLE )

add_subdirectory( etc )
add_subdirectory( libdigidoc )

=== etc/CMakeLists.txt ===
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/digidoc.conf.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${DIGIDOC_CONF_NAME}
    @ONLY
)
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/${DIGIDOC_CONF_NAME} DESTINATION ${SYSCONF_INSTALL_DIR} )

install(DIRECTORY
    certs
    DESTINATION ${DIGIDOC_DATA_DIR}
    REGEX "\\.svn$|_svn$" EXCLUDE
)

=== libdigidoc/CMakeLists.txt ===
add_subdirectory( mssp )
add_subdirectory( pkcs11 )
add_subdirectory( ts )

set( libdigidoc_SRCS
    DigiDocConfig.c
    DigiDocLib.c
    DigiDocObj.c
    DigiDocPKCS11.c
    DigiDocError.c
    DigiDocParser.c
    DigiDocDebug.c
    DigiDocSAXParser.c
    DigiDocMem.c
    DigiDocStack.c
    DigiDocEnc.c
    DigiDocEncGen.c
    DigiDocEncSAXParser.c
    DigiDocCert.c
    DigiDocConvert.c
    DigiDocGen.c
    DigiDocVerify.c
    DigiDocOCSP.c
    DigiDocDfExtract.c
)

add_definitions( -DSYSCONFDIR="${SYSCONF_INSTALL_DIR}" )
add_definitions( -DDIGIDOC_VERSION="${DIGIDOC_VERSION}" )
add_definitions( -DWITH_SOAPDEFS_H )
if( WIN32 )
    add_definitions( -DBUILDINGDLL )
endif( WIN32 )
if( MSVC )
    add_definitions(
        -D_CRT_NONSTDC_NO_DEPRECATE
        -D_CRT_SECURE_NO_DEPRECATE
        -D_CRT_SECURE_NO_WARNINGS
        -D_SCL_SECURE_NO_WARNINGS
    )
endif( MSVC )

add_library( digidoc SHARED ${libdigidoc_SRCS} )
target_link_libraries( digidoc
    ${LIBDL_LIBRARIES}
    ${LIBXML2_LIBRARIES}
    ${OPENSSL_LIBRARIES}
    ${OPENSSLCRYPTO_LIBRARIES}
    ${ZLIB_LIBRARIES}
)
set_target_properties( digidoc PROPERTIES VERSION ${DIGIDOC_VERSION} SOVERSION 2 )
install( TARGETS digidoc DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS} )

add_executable( cdigidoc cdigidoc.c )
target_link_libraries( cdigidoc digidoc )
install( TARGETS cdigidoc DESTINATION ${BIN_INSTALL_DIR} )

# Include files
install( FILES
    DigiDocCert.h
    DigiDocConfig.h
    DigiDocConvert.h
    DigiDocDebug.h
    DigiDocDefs.h
    DigiDocDfExtract.h
    DigiDocEncGen.h
    DigiDocEnc.h
    DigiDocEncSAXParser.h
    DigiDocError.h
    DigiDocGen.h
    DigiDocLib.h
    DigiDocMem.h
    DigiDocObj.h
    DigiDocOCSP.h
    DigiDocParser.h
    DigiDocPKCS11.h
    DigiDocSAXParser.h
    DigiDocStack.h
    DigiDocVerify.h
    DESTINATION ${DIGIDOC_INCLUDE_DIR}
)

=== libdigidoc/mssp/CMakeLists.txt ===
install( FILES
    DigiDocMsspGw.h
    soapStub.h
    MsspErrors.h
    stdsoap2.h
    DESTINATION ${DIGIDOC_INCLUDE_DIR}/mssp
)

=== libdigidoc/pkcs11/CMakeLists.txt ===
install( FILES
    pkcs11.h
    pkcs11f.h
    pkcs11t.h
    unix.h
    cryptoki.h
    DESTINATION ${DIGIDOC_INCLUDE_DIR}/pkcs11
)

=== libdigidoc/ts/CMakeLists.txt ===
install( FILES
    DigiDocTS.h
    DESTINATION ${DIGIDOC_INCLUDE_DIR}/ts
)

=== debian/changelog ===
libdigidoc (2.7.0-0ubuntu4) precise; urgency=low

  * 0001_new_EstEID_root_CA.patch:
    + Add the latest EstEID root CA issued by Sertifitseerimiskeskus.

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Wed, 07 Mar 2012 03:05:33 +0200

libdigidoc (2.7.0-0ubuntu3) precise; urgency=high

  * Urgency=high; this library is stalling 5 other packages in dep-wait.
  * Reintroduce CDBS list-missing only for common-binary-post-install-arch.

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Fri, 27 Jan 2012 17:45:25 +0200

libdigidoc (2.7.0-0ubuntu2) precise; urgency=low

  * Moved /usr/bin/cdigidoc to libdigidoc-dev.
  * Split architecture-independent content into libdigidoc-common.
    Thanks to Colin Watson for the suggestion.
  * Replace CDBS utils.mk list-missing with dh_install --fail-missing.
    - Removed: include /usr/share/cdbs/1/rules/utils.mk,
      common-binary-post-install-arch common-binary-post-install-indep::
    + Added: DEB_DH_INSTALL_ARGS += --fail-missing --list-missing

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Thu, 26 Jan 2012 21:38:59 +0200

libdigidoc (2.7.0-0ubuntu1) precise; urgency=low

  * Initial release for Ubuntu (LP: #916343).
    Based upon initial packaging by Kalev Lember, with further improvements
    by Guido Tabbernuk, then packaging review by Martin-Éric Racine.

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Sat, 14 Jan 2012 02:42:44 +0200

=== debian/control ===
Source: libdigidoc
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guido Tabbernuk <boamaod@gmail.com>, Martin-Éric Racine <martin-eric.racine@iki.fi>
Build-Depends: cdbs, debhelper (>= 7), cmake, pkg-config, libssl-dev, libxml2-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/esteid/

Package: libdigidoc-common
Section: misc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libdigidoc architecture-independent files
 libDigiDoc is a library implementing a subset of the XAdES digital
 signature standard on top of Estonian specific .ddoc container format.
 It allows one to create, sign, verify, and modify digidoc XML containers.
 .
 This package provides the architecture-independent files.

Package: libdigidoc-dev
Section: libdevel
Architecture: any
Replaces: libdigidoc2-dev (<< 2.6.1)
Breaks: libdigidoc2-dev (<< 2.6.1)
Depends: libdigidoc2 (= ${binary:Version}), libxml2-dev, libssl-dev, ${misc:Depends}, ${shlibs:Depends}
Description: libdigidoc development files
 libDigiDoc is a library implementing a subset of the XAdES digital
 signature standard on top of Estonian specific .ddoc container format.
 It allows one to create, sign, verify, and modify digidoc XML containers.
 .
 This package provides the development files.

Package: libdigidoc2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libdigidoc2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: libdigidoc debugging symbols
 libDigiDoc is a library implementing a subset of the XAdES digital
 signature standard on top of Estonian specific .ddoc container format.
 It allows one to create, sign, verify, and modify digidoc XML containers.
 .
 This package provides the debugging symbols.

Package: libdigidoc2
Architecture: any
Depends: libdigidoc-common, ${misc:Depends}, ${shlibs:Depends}
Description: legacy C++ library for processing DDOC digital signatures
 libDigiDoc is a library implementing a subset of the XAdES digital
 signature standard on top of an Estonian-specific DDOC container format.
 It allows one to create, sign, verify and modify DigiDoc XML containers.
 .
 This library was initially developed more than 10 years ago, back
 when there was no adequate standard XML library to implement these
 features. Nowadays, it only remains in use by libdigidocpp to provide a 
 bug-for-bug backward-compatibility with older DigiDoc software that is
 widely deployed and essential for accessing public services in Estonia.
 .
 For any other purpose, this library shall be considered as deprecated
 and is best avoided whenever developing new DigiDoc software.
 .
 This package provides the shared libraries.

=== debian/rules ===
#!/usr/bin/make -f
# [debian/rules] for libdigidoc
#
# COPYRIGHT © 2012 Guido Tabbernuk <boamaod@gmail.com>
#
# LICENSE
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_CMAKE_EXTRA_FLAGS += -DSYSCONF_INSTALL_DIR=/etc

common-binary-post-install-arch:: list-missing

#EOF

## libdigidoc 3.10.1.1208%2Bds1

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.8 )
project( libdigidoc )

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
set( CMAKE_FIND_ROOT_PATH ${CMAKE_OSX_SYSROOT} )
set( INSTALL_DOC false CACHE BOOL "Install documentation" )
if( APPLE )
	set( FRAMEWORK YES CACHE BOOL "Build library as Mac OS X Framework" )
endif()

include( CheckIncludeFiles )
include( VersionInfo )
include( GNUInstallDirs )

if( WIN32 )
	set( DIGIDOC_CONF_NAME "digidoc.ini" )
else()
	set( DIGIDOC_CONF_NAME "digidoc.conf" )
endif()

find_package( Doxygen )
find_package( LibXml2 REQUIRED )
find_package( OpenSSL REQUIRED )
find_package( PKCS11 )
find_package( ZLIB REQUIRED )
find_package( Iconv )

if( INSTALL_DOC )
	if( DOXYGEN_FOUND )
		configure_file( ${CMAKE_SOURCE_DIR}/etc/Doxyfile.in Doxyfile @ONLY )
		add_custom_target( docs ALL
			${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
			COMMENT "Generating API documentation with Doxygen" VERBATIM
		)
		install( DIRECTORY ${CMAKE_BINARY_DIR}/doc/ DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/libdigidoc )
	endif()
	install( DIRECTORY doc/ DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/libdigidoc PATTERN ".svn" EXCLUDE )
endif()

configure_file( config.h.cmake config.h )

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${LIBXML2_INCLUDE_DIR}
	${OPENSSL_INCLUDE_DIR}
	${ZLIB_INCLUDE_DIR}
)
if( ICONV_FOUND )
	include_directories( ${ICONV_INCLUDE_DIR} )
endif()

add_subdirectory( libdigidoc )

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_CMAKE_EXTRA_FLAGS = \
	-DCMAKE_INSTALL_SYSCONFDIR="/etc" \
	-DCMAKE_INSTALL_LIBDIR="lib/$(DEB_HOST_MULTIARCH)" \
	-DINSTALL_DOC=YES

%:
	dh "$@" --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_strip:
	dh_strip --ddeb-migration='libdigidoc-dbg (<< 3.10.1.1208+ds1-2)'

override_dh_install:
	dh_install -plibdigidoc-common --exclude=TEST
	dh_install --remaining-packages --list-missing

.PHONY: override_dh_auto_configure

## libdigidoc 3.10.1.1208+ds1

=== libdigidoc/CMakeLists.txt ===
configure_file(
	${CMAKE_SOURCE_DIR}/etc/digidoc.conf.cmake
	${CMAKE_CURRENT_BINARY_DIR}/${DIGIDOC_CONF_NAME}
	@ONLY
)
FILE( GLOB CERTS ${CMAKE_SOURCE_DIR}/etc/certs/*.crt )

set( PUBLIC_HEADER
	DigiDocCert.h
	DigiDocConfig.h
	DigiDocConvert.h
	DigiDocDebug.h
	DigiDocDefs.h
	DigiDocDfExtract.h
	DigiDocEncGen.h
	DigiDocEnc.h
	DigiDocEncSAXParser.h
	DigiDocError.h
	DigiDocGen.h
	DigiDocLib.h
	DigiDocMem.h
	DigiDocObj.h
	DigiDocOCSP.h
	DigiDocParser.h
#	DigiDocPKCS11.h
	DigiDocSAXParser.h
	DigiDocStack.h
	DigiDocVerify.h
	DigiDocHTTP.h
	DigiDocService.h
)

if( WIN32 )
	add_definitions( -DWITH_SOAPDEFS_H )
	list( APPEND libdigidoc_SRCS DigiDocGlobals.c DigiDocCSP.c DigiCrypt.c DlgUnit.c DlgUnitS.c )
	set( EXT_LIBRARIES Crypt32 Comctl32 )
endif()

if( MSVC )
    add_definitions(
        -D_CRT_NONSTDC_NO_DEPRECATE
        -D_CRT_SECURE_NO_DEPRECATE
        -D_CRT_SECURE_NO_WARNINGS
        -D_SCL_SECURE_NO_WARNINGS
    )
endif()

add_library( digidoc SHARED
	${PUBLIC_HEADER}
	${CMAKE_CURRENT_BINARY_DIR}/${DIGIDOC_CONF_NAME}
	${libdigidoc_SRCS}
	${CERTS}
	libdigidoc.rc
	DigiDocConfig.c
	DigiDocLib.c
	DigiDocObj.c
	DigiDocPKCS11.c
	DigiDocError.c
	DigiDocParser.c
	DigiDocDebug.c
	DigiDocSAXParser.c
	DigiDocMem.c
	DigiDocStack.c
	DigiDocEnc.c
	DigiDocEncGen.c
	DigiDocEncSAXParser.c
	DigiDocCert.c
	DigiDocConvert.c
	DigiDocGen.c
	DigiDocVerify.c
	DigiDocOCSP.c
	DigiDocDfExtract.c
	DigiDocHTTP.c
	DigiDocService.c
)

target_link_libraries( digidoc
    ${CMAKE_DL_LIBS}
    ${LIBXML2_LIBRARIES}
    ${OPENSSL_LIBRARIES}
    ${ZLIB_LIBRARIES}
    ${EXT_LIBRARIES}
)

set_target_properties( digidoc PROPERTIES
	VERSION ${MAJOR_VER}.${MINOR_VER}.${RELEASE_VER}
	SOVERSION 2
	PUBLIC_HEADER "${PUBLIC_HEADER}"
	RESOURCE ${CMAKE_CURRENT_BINARY_DIR}/${DIGIDOC_CONF_NAME}
	FRAMEWORK_VERSION 2
	FRAMEWORK "${FRAMEWORK}"
	MACOSX_FRAMEWORK_IDENTIFIER "ee.ria.libdigidoc"
	MACOSX_RPATH YES
)

add_executable(cdigidoc cdigidoc.c cdigidoc.rc)
set_target_properties(cdigidoc PROPERTIES INSTALL_RPATH "@loader_path/../../../..;@loader_path/../..")
target_link_libraries(cdigidoc digidoc)

install( TARGETS digidoc
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	RESOURCE DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}
	PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libdigidoc
	FRAMEWORK DESTINATION /Library/Frameworks
)

if(WIN32)
	install( DIRECTORY ${PROJECT_BINARY_DIR}/libdigidoc/ DESTINATION ${CMAKE_INSTALL_LIBDIR} FILES_MATCHING PATTERN "*.pdb" )
endif()

if( FRAMEWORK )
	set_target_properties( digidoc PROPERTIES
		OUTPUT_NAME "libdigidoc"
		COMPILE_DEFINITIONS "FRAMEWORK"
		LINK_FLAGS "-framework CoreFoundation -framework Security"
		RESOURCE "${CERTS};${CMAKE_CURRENT_BINARY_DIR}/${DIGIDOC_CONF_NAME}"
	)
	add_custom_command( TARGET cdigidoc POST_BUILD
		COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:cdigidoc> $<TARGET_FILE_DIR:digidoc>/Resources )
	add_custom_target( codesign DEPENDS cdigidoc
		COMMAND codesign -f -s \"$$SIGNCERT\" $<TARGET_FILE_DIR:digidoc>/Resources/cdigidoc
		COMMAND codesign -f -s \"$$SIGNCERT\" $<TARGET_FILE_DIR:digidoc>/../..
		COMMAND touch $<TARGET_FILE:cdigidoc>
	)
	add_custom_target( pkgbuild DEPENDS codesign
		COMMAND make install DESTDIR=install \; pkgbuild
			--root install
			--sign \"$$INSTCERT\"
			${CMAKE_BINARY_DIR}/libdigidoc_${VERSION}$ENV{VER_SUFFIX}.pkg
	)
	add_custom_target( zipdebug DEPENDS cdigidoc
		COMMAND dsymutil -o libdigidoc.dSYM $<TARGET_FILE:digidoc>
		COMMAND dsymutil -o libdigidoc.dSYM $<TARGET_FILE:cdigidoc>
		COMMAND zip -r ${CMAKE_BINARY_DIR}/libdigidoc-dbg_${VERSION}$ENV{VER_SUFFIX}.zip libdigidoc.dSYM
	)
else()
	install( TARGETS cdigidoc DESTINATION ${CMAKE_INSTALL_BINDIR} )
	configure_file( libdigidoc.pc.cmake libdigidoc.pc @ONLY )
	configure_file( cdigidoc.1.cmake cdigidoc.1 )
	install( FILES ${CMAKE_CURRENT_BINARY_DIR}/libdigidoc.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig )
	install( FILES ${CMAKE_CURRENT_BINARY_DIR}/cdigidoc.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 )
	install( FILES ${CERTS} DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/libdigidoc )
endif()

#install( FILES
#	pkcs11/pkcs11.h
#	pkcs11/pkcs11f.h
#	pkcs11/pkcs11t.h
#	pkcs11/unix.h
#	pkcs11/cryptoki.h
#	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libdigidoc/pkcs11
#)

=== debian/changelog ===
libdigidoc (3.10.1.1208+ds1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by using OpenSSL 1.0.2. (Closes: #828391)
  * Drop the uninstallable libdigidoc-dbg package,
    it was replaced by libdigidoc-dbgsym. (Closes: #851204)

 -- Adrian Bunk <bunk@debian.org>  Fri, 13 Jan 2017 20:53:25 +0200

libdigidoc (3.10.1.1208+ds1-2) unstable; urgency=medium

  * Update the dependency on libssl debug package (Closes: #808462).
  * Migrate to the automatic dbgsym packages.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 20 Dec 2015 12:49:15 +0100

libdigidoc (3.10.1.1208+ds1-1) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Make the build reproducible (Closes: #806564).

  [ Andrew Shadura ]
  * Exclude VS-related files.
  * Apply patches fully.
  * Update the watch file.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 30 Nov 2015 10:16:46 +0100

libdigidoc (3.10.1.1208-1) unstable; urgency=medium

  * Initial upload (Closes: #658300).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 01 Nov 2015 19:41:28 +0100

=== debian/control ===
Source: libdigidoc
Section: libs
Priority: extra
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper (>= 9),
 cmake,
 libssl1.0-dev | libssl-dev (<< 1.1.0~),
 libxml2-dev,
 zlib1g-dev
Standards-Version: 3.9.6
Homepage: https://github.com/open-eid/libdigidoc

Package: libdigidoc-common
Architecture: all
Section: misc
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Breaks:
 libdigidoc2 (<< ${binary:Version})
Replaces:
 libdigidoc2 (<< ${binary:Version})
Description: DigiDoc digital signature library common files
 DigiDoc is an XML file format for documents with digital signatures in use by
 the Estonian ID card infrastructure. This library allows for creation and
 reading of DigiDoc files.
 .
 This library implements a subset of the XAdES digital signature standard on
 top of Estonian-specific .ddoc container format.
 .
 This package contains common architecture-independent files for the
 applications using the DigiDoc digital signature library.

Package: libdigidoc2
Replaces:
 libdigidoc
Breaks:
 libdigidoc
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libdigidoc-common (= ${source:Version}),
 opensc,
 pcscd,
 ${misc:Depends},
 ${shlibs:Depends}
Description: DigiDoc digital signature library
 DigiDoc is an XML file format for documents with digital signatures in use by
 the Estonian ID card infrastructure. This library allows for creation and
 reading of DigiDoc files.
 .
 This library implements a subset of the XAdES digital signature standard on
 top of Estonian-specific .ddoc container format.
 .
 This package provides the shared libraries.

Package: libdigidoc-tools
Architecture: any
Section: misc
Depends:
 libdigidoc2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: DigiDoc digital signature library tools
 DigiDoc is an XML file format for documents with digital signatures in use by
 the Estonian ID card infrastructure. This library allows for creation and
 reading of DigiDoc files.
 .
 This library implements a subset of the XAdES digital signature standard on
 top of Estonian-specific .ddoc container format.
 .
 This package contains tools for manipulating signatures created with the
 DigiDoc digital signature library.

Package: libdigidoc-dev
Architecture: any
Section: libdevel
Depends:
 libdigidoc2 (= ${binary:Version}),
 libssl1.0-dev | libssl-dev (<< 1.1.0~),
 libxml2-dev,
 ${misc:Depends}
Description: DigiDoc digital signature development files
 DigiDoc is an XML file format for documents with digital signatures in use by
 the Estonian ID card infrastructure. This library allows for creation and
 reading of DigiDoc files.
 .
 This library implements a subset of the XAdES digital signature standard on
 top of Estonian-specific .ddoc container format.
 .
 This package provides the development files.

Package: libdigidoc-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Description: DigiDoc digital signature library documentation
 DigiDoc is an XML file format for documents with digital signatures in use by
 the Estonian ID card infrastructure. This library allows for creation and
 reading of DigiDoc files.
 .
 This library implements a subset of the XAdES digital signature standard on
 top of Estonian-specific .ddoc container format.
 .
 This package contains documentation for developing applications with the
 DigiDoc digital signature library.

=== debian/watch ===
version=3

opts=\
dversionmangle=s/\+ds\d*$//,\
repacksuffix=+ds1\
    https://github.com/open-eid/libdigidoc/releases /open-eid/libdigidoc/releases/download/.*/libdigidoc-([\d.]*).tar.gz

## libdigidoc 3.10.4+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(libdigidoc VERSION 3.10.4)

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
set( BUILD_TOOLS YES CACHE BOOL "Build digidoc-tool" )
set( BUILD_TYPE SHARED CACHE STRING "Build library as SHARED/STATIC" )
set( SIGNCERT "" CACHE STRING "Common name of certificate to used sign binaries, empty skip signing" )
set( INSTCERT "" CACHE STRING "Common name of certificate to used sign packages, empty skip signing" )
if( APPLE )
	set( FRAMEWORK YES CACHE BOOL "Build library as Mac OS X Framework" )
endif()

include( VersionInfo )
include( GNUInstallDirs )

if( WIN32 )
	set( DIGIDOC_CONF_NAME "digidoc.ini" )
else()
	set( DIGIDOC_CONF_NAME "digidoc.conf" )
endif()

find_package( Doxygen )
find_package( LibXml2 REQUIRED )
find_package( OpenSSL REQUIRED )
find_package( PKCS11 )
find_package( ZLIB REQUIRED )
find_package( Iconv )

if( DOXYGEN_FOUND )
	configure_file( ${CMAKE_SOURCE_DIR}/etc/Doxyfile.in Doxyfile @ONLY )
	add_custom_target( docs ALL
		${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
		WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
		COMMENT "Generating API documentation with Doxygen" VERBATIM
	)
	install( DIRECTORY ${CMAKE_BINARY_DIR}/doc/ DESTINATION ${CMAKE_INSTALL_DOCDIR}/libdigidoc )
	install( DIRECTORY doc/ DESTINATION ${CMAKE_INSTALL_DOCDIR}/libdigidoc )
endif()

configure_file( config.h.cmake config.h )

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${LIBXML2_INCLUDE_DIR}
	${OPENSSL_INCLUDE_DIR}
	${ZLIB_INCLUDE_DIR}
)
if( ICONV_FOUND )
	include_directories( ${ICONV_INCLUDE_DIR} )
endif()

add_subdirectory( libdigidoc )

=== libdigidoc/CMakeLists.txt ===
--- 
+++ 
@@ -31,21 +31,18 @@
 )
 
 if( WIN32 )
-	add_definitions( -DWITH_SOAPDEFS_H )
+	add_definitions(
+		-DWITH_SOAPDEFS_H
+		-D_CRT_NONSTDC_NO_DEPRECATE
+		-D_CRT_SECURE_NO_DEPRECATE
+		-D_CRT_SECURE_NO_WARNINGS
+		-D_SCL_SECURE_NO_WARNINGS
+	)
 	list( APPEND libdigidoc_SRCS DigiDocGlobals.c DigiDocCSP.c DigiCrypt.c DlgUnit.c DlgUnitS.c )
 	set( EXT_LIBRARIES Crypt32 Comctl32 )
 endif()
 
-if( MSVC )
-    add_definitions(
-        -D_CRT_NONSTDC_NO_DEPRECATE
-        -D_CRT_SECURE_NO_DEPRECATE
-        -D_CRT_SECURE_NO_WARNINGS
-        -D_SCL_SECURE_NO_WARNINGS
-    )
-endif()
-
-add_library( digidoc SHARED
+add_library( digidoc ${BUILD_TYPE}
 	${PUBLIC_HEADER}
 	${CMAKE_CURRENT_BINARY_DIR}/${DIGIDOC_CONF_NAME}
 	${libdigidoc_SRCS}
@@ -75,11 +72,11 @@
 )
 
 target_link_libraries( digidoc
-    ${CMAKE_DL_LIBS}
-    ${LIBXML2_LIBRARIES}
-    ${OPENSSL_LIBRARIES}
-    ${ZLIB_LIBRARIES}
-    ${EXT_LIBRARIES}
+	${CMAKE_DL_LIBS}
+	${LIBXML2_LIBRARIES}
+	${OPENSSL_LIBRARIES}
+	${ZLIB_LIBRARIES}
+	${EXT_LIBRARIES}
 )
 
 set_target_properties( digidoc PROPERTIES
@@ -93,9 +90,10 @@
 	MACOSX_RPATH YES
 )
 
-add_executable(cdigidoc cdigidoc.c cdigidoc.rc)
-set_target_properties(cdigidoc PROPERTIES INSTALL_RPATH "@loader_path/../../../..;@loader_path/../..")
-target_link_libraries(cdigidoc digidoc)
+if( BUILD_TOOLS )
+	add_executable(cdigidoc cdigidoc.c cdigidoc.rc)
+	target_link_libraries(cdigidoc digidoc)
+endif()
 
 install( TARGETS digidoc
 	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
@@ -107,7 +105,7 @@
 )
 
 if(WIN32)
-	install( DIRECTORY ${PROJECT_BINARY_DIR}/libdigidoc/ DESTINATION ${CMAKE_INSTALL_LIBDIR} FILES_MATCHING PATTERN "*.pdb" )
+	install(FILES $<TARGET_PDB_FILE:digidoc> $<TARGET_PDB_FILE:cdigidoc> DESTINATION ${CMAKE_INSTALL_BINDIR} OPTIONAL)
 endif()
 
 if( FRAMEWORK )
@@ -120,14 +118,17 @@
 	add_custom_command( TARGET cdigidoc POST_BUILD
 		COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:cdigidoc> $<TARGET_FILE_DIR:digidoc>/Resources )
 	add_custom_target( codesign DEPENDS cdigidoc
-		COMMAND codesign -f -s \"$$SIGNCERT\" $<TARGET_FILE_DIR:digidoc>/Resources/cdigidoc
-		COMMAND codesign -f -s \"$$SIGNCERT\" $<TARGET_FILE_DIR:digidoc>/../..
+		COMMAND codesign -f -s ${SIGNCERT}
+			$<TARGET_FILE_DIR:digidoc>/Resources/cdigidoc
+			$<TARGET_FILE_DIR:digidoc>/../..
 		COMMAND touch $<TARGET_FILE:cdigidoc>
 	)
-	add_custom_target( pkgbuild DEPENDS codesign
-		COMMAND make install DESTDIR=install \; pkgbuild
-			--root install
-			--sign \"$$INSTCERT\"
+	if(INSTCERT)
+		set(PKGEXTRA --sign ${INSTCERT})
+	endif()
+	add_custom_target( pkgbuild DEPENDS cdigidoc
+		COMMAND make install DESTDIR=install
+		COMMAND pkgbuild --root install ${PKGEXTRA}
 			${CMAKE_BINARY_DIR}/libdigidoc_${VERSION}$ENV{VER_SUFFIX}.pkg
 	)
 	add_custom_target( zipdebug DEPENDS cdigidoc
@@ -136,12 +137,14 @@
 		COMMAND zip -r ${CMAKE_BINARY_DIR}/libdigidoc-dbg_${VERSION}$ENV{VER_SUFFIX}.zip libdigidoc.dSYM
 	)
 else()
-	install( TARGETS cdigidoc DESTINATION ${CMAKE_INSTALL_BINDIR} )
 	configure_file( libdigidoc.pc.cmake libdigidoc.pc @ONLY )
-	configure_file( cdigidoc.1.cmake cdigidoc.1 )
 	install( FILES ${CMAKE_CURRENT_BINARY_DIR}/libdigidoc.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig )
-	install( FILES ${CMAKE_CURRENT_BINARY_DIR}/cdigidoc.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 )
 	install( FILES ${CERTS} DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/libdigidoc )
+	if( BUILD_TOOLS )
+		install( TARGETS cdigidoc DESTINATION ${CMAKE_INSTALL_BINDIR} )
+		configure_file( cdigidoc.1.cmake cdigidoc.1 )
+		install( FILES ${CMAKE_CURRENT_BINARY_DIR}/cdigidoc.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 )
+	endif()
 endif()
 
 #install( FILES

=== debian/changelog ===
libdigidoc (3.10.4+ds1-2) unstable; urgency=medium

  * Add Vcs-*.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 25 Apr 2018 15:52:12 +0200

libdigidoc (3.10.4+ds1-1) unstable; urgency=medium

  * New upstream version 3.10.4+ds1 (Closes: #853778).
  * Suggest libdigidoc-doc (Closes: #849893).
  * Build-depend on doxygen.
  * Step down as the maintainer.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 25 Apr 2018 15:49:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: libdigidoc
 Section: libs
 Priority: extra
-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Uploaders: Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
  debhelper (>= 9),
  cmake,
- libssl1.0-dev | libssl-dev (<< 1.1.0~),
+ doxygen,
+ libssl-dev,
  libxml2-dev,
  zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: https://github.com/open-eid/libdigidoc
+Vcs-Git: https://git.dgit.debian.org/libdigidoc
+Vcs-Browser: https://browse.dgit.debian.org/libdigidoc.git/
 
 Package: libdigidoc-common
 Architecture: all
@@ -64,6 +68,7 @@
  libdigidoc2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
+Suggests: libdigidoc-doc
 Description: DigiDoc digital signature library tools
  DigiDoc is an XML file format for documents with digital signatures in use by
  the Estonian ID card infrastructure. This library allows for creation and
@@ -80,9 +85,10 @@
 Section: libdevel
 Depends:
  libdigidoc2 (= ${binary:Version}),
- libssl1.0-dev | libssl-dev (<< 1.1.0~),
+ libssl-dev,
  libxml2-dev,
  ${misc:Depends}
+Suggests: libdigidoc-doc
 Description: DigiDoc digital signature development files
  DigiDoc is an XML file format for documents with digital signatures in use by
  the Estonian ID card infrastructure. This library allows for creation and

## libdigidoc 3.10.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0)
-project(libdigidoc VERSION 3.10.4)
+project(libdigidoc VERSION 3.10.5)
 
 set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 set( BUILD_TOOLS YES CACHE BOOL "Build digidoc-tool" )

=== debian/changelog ===
libdigidoc (3.10.5-6) unstable; urgency=medium

  * QA upload.
  * Fix building with GCC 14.  (Closes: #1075163)
  * Improve docs installation.
  * Enable all hardening flags.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 Aug 2024 01:09:19 +0200

libdigidoc (3.10.5-5) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066271, #1065774)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Apr 2024 12:12:47 +0200

libdigidoc (3.10.5-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062270

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 10:45:22 +0000

libdigidoc (3.10.5-4) unstable; urgency=medium

  * QA upload.
  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON to
    dh_auto_configure.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sun, 10 Jul 2022 19:12:11 -0700

libdigidoc (3.10.5-3) unstable; urgency=medium

  * QA upload.
  * Resolve FTBFS with openssl v3 (Closes: #1006389)
  * d/control: Update Standards-Version to 4.6.1, no changes needed
  * d/control: Mark libdigidoc-doc as Multi-Arch: foreign and mark
    libdigidoc-dev as Multi-Arch: same
  * d/patches/fix-national-encoding.patch: Fix national-encoding
    warning by correctly encoding as UTF-8
  * d/rules: Drop override_dh_strip, ddeb migration is complete

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 28 Jun 2022 15:07:48 -0500

libdigidoc (3.10.5-2) unstable; urgency=medium

  * QA upload.
  * VersionInfo.cmake: Set BUILD_DATE using UTC timezone.
    (Closes: #978064)
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/copyright: Use https URL for "Format".
  * debian/control: Switch to priority optional.
  * Switch to debhelper-compat 13.
  * debian/rules: Use dh_missing --list-missing.
  * debian/control: Update Standards-Version to 4.5.1.
  * Add lintian override for orphaned-package-maintained-in-private-space.
  * debian/control: Remove uploaders field for QA-maintained package.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 31 Dec 2020 00:11:01 -0800

libdigidoc (3.10.5-1) unstable; urgency=medium

  * New upstream release.
  * Move into the eIDAS group.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 09 Jun 2020 22:11:58 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_CMAKE_EXTRA_FLAGS = \
	-DCMAKE_INSTALL_SYSCONFDIR="/etc" \
	-DCMAKE_INSTALL_LIBDIR="lib/$(DEB_HOST_MULTIARCH)" \
	-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
	-DINSTALL_DOC=YES

%:
	dh "$@" --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_install:
	dh_install -plibdigidoc-common --exclude=TEST
	dh_install --remaining-packages

execute_after_dh_installdocs-indep:
	hardlink -v -t debian/libdigidoc-doc/usr/share/doc

override_dh_missing:
	dh_missing --list-missing

.PHONY: override_dh_auto_configure

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/open-eid/libdigidoc/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
